[rust-dev] Deprecating rustpkg

Armin Ronacher armin.ronacher at active-4.com
Thu Jan 30 16:27:07 PST 2014


Hi,

On 30/01/2014 23:08, Tony Arcieri wrote:
> What if the different versions of the library do incompatible things, like:
>
> - Talk incompatible versions of a network protocol
> - Serialize data differently
> - One contains important security fixes the other does not
They are different libraries.  It's not an issue in practice because the 
situation where this happens is if you have a library depending on another 
library internally.

Not having the option to run multiple versions of the same library in parallel 
in different parts is a major problem and Python suffers tremendously under this.


Regards,
Armin


More information about the Rust-dev mailing list